Skip to navigation

Get entity

Resolve a published entity by UUID, exact slug or organization external identifier. Sources support UUID only. Agency lookups always require type=agency. Ambiguous identity returns 409. Requires data:read.

Authentication

AuthorizationBearer

Create a scoped key at https://app.defdex.io/developer/keys. Keep it private.

Path parameters

collectionenumRequired

Exact identifier; not a website URL.

identifierstringRequired

Exact identifier; not a website URL.

Query parameters

byenumOptional

Default: UUID-like identifiers use id; otherwise slug. External organization identifiers require scheme.

Allowed values:
schemestringOptional<=100 characters

Exact published organization-identifiers scheme, required for by=external.

Response headers

X-Request-IdstringOptional
Support identifier on admitted requests.

Response

Success
dataobject
build_idstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
503
Service Unavailable Error